/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer;

import org.openide.nodes.Node;

/**
 * A layer droptarget describes the capability to accept the dropping of a node.
 * Classes can implement this and register themselves on {@link LayerDropTargetListener}
 * 
 * 
 * @author Timon Veenstra
 */
public interface LayerDropTarget {
    /**
     * Handle dropping of a node
     * 
     * @param node node wich should have a Layer object in its lookup
     * @return true if dropping succeeded
     */
    boolean dropNode(Node node);
}
