/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.geoviewer;

import org.openide.nodes.Node;

/**
 * This interface describes the property of an object to return an array of
 * nodes that are not used in any explorer, but can be displayed on the map.
 *
 * @author Wytse Visser
 * @author Maciek Dulkiewicz
 */
public interface MapOnlyNodeProvider {

    /**
     * This method returns an array of nodes that can be displayed on the map
     * but shouldn't be used in any other tree structure.
     *
     * @return Array of nodes (with {@link Geographical} objects in their
     * lookups)
     */
    public Node[] getMapOnlyNodes();
}
