/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer;

import org.geotools.coverage.grid.GridCoverage2D;

/**
 * Basic Raster implementation of the Layer-interface.
 * 
 * The basis for a RasterLayer on a map.
 * 
 * @author Timon Veenstra
 */
@Deprecated
public abstract class RasterLayer extends BaseLayer implements Rastered {

    private GridCoverage2D raster;
    public static final String PROPERTY_RASTER = "raster";

    public RasterLayer(Palette palette, String name) {
        super(palette,  name);
    }

    public RasterLayer(Palette palette, String name, GridCoverage2D raster) {
        super(palette, name);
        this.raster = raster;
    }

    /**
     * @see Rastered#getRaster
     * @return Raster as GridCoverage2D
     */
    @Override
    public GridCoverage2D getRaster() {
        return this.raster;
    }

    /**
     * Set the raster for this Layer
     * @param raster The raster to set to this Layer
     */
    public void setRaster(GridCoverage2D raster) {
        GridCoverage2D old = this.raster;
        this.raster = raster;
        getChangeSupport().firePropertyChange(PROPERTY_RASTER, old, raster);
    }

    /**
     * Gets the object the raster is based on
     * @return the object the raster is based on
     */
    public abstract Class getObjectClass();
}
