/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import nl.cloudfarming.client.geoviewer.event.GeoEvent;
import org.openide.awt.ActionID;
import org.openide.awt.ActionRegistration;
import org.openide.util.NbBundle;

/**
 * Action to select a field on the map
 *
 * @author Timon Veenstra
 */
@ActionRegistration(displayName = "#action.select_plot_in_map.name", iconBase = "nl/cloudfarming/client/geoviewer/map-go-icon.png")
@ActionID(category = "TaskBar/Area", id = "nl.cloudfarming.client.area.field.SelectFieldInMapAction")
@NbBundle.Messages("action.select_plot_in_map.name=Go to")
public class SelectFieldInMapAction extends AbstractAction {

    private final Geographical geographical;

    public SelectFieldInMapAction(Geographical geographical) {
        super(Bundle.action_select_plot_in_map_name());
        this.geographical = geographical;
    }

    /**
     *
     * @param e
     */
    @Override
    public void actionPerformed(ActionEvent e) {
        GeoEvent.getProducer().triggerEvent(GeoEvent.REQUEST_FOCUS, geographical);
    }
}
